package kr.co.vividnext.sodalive.mypage.can

import java.util.TimeZone

class CanRepository(private val api: CanApi) {
    fun getCanStatus(token: String) = api.getCanStatus(authHeader = token)

    fun getCanUseStatus(
        page: Int,
        pageSize: Int,
        token: String
    ) = api.getCanUseStatus(
        timezone = TimeZone.getDefault().id,
        page = page - 1,
        size = pageSize,
        authHeader = token
    )

    fun getCanChargeStatus(
        page: Int,
        pageSize: Int,
        token: String
    ) = api.getCanChargeStatus(
        timezone = TimeZone.getDefault().id,
        page = page - 1,
        size = pageSize,
        authHeader = token
    )
}
